4.3. SVGAlib
Prev | Chapter 4. Video output devices | Next

## 4.3. SVGAlib

INSTALLATION. You'll have to install svgalib and its development package in order for MPlayer build its SVGAlib driver (autodetected, but can be forced), and don't forget to edit `/etc/vga/libvga.config` to suit your card and monitor.

### Note

Be sure not to use the `-fs` switch, since it toggles the usage of the software scaler, and it's slow. If you really need it, use the `-sws 4` option which will produce bad quality, but is somewhat faster.

EGA (4BPP) SUPPORT. SVGAlib incorporates EGAlib, and MPlayer has the possibility to display any movie in 16 colors, thus usable in the following sets:

- EGA card with EGA monitor: 320x200x4bpp, 640x200x4bpp, 640x350x4bpp

- EGA card with CGA monitor: 320x200x4bpp, 640x200x4bpp

The bpp (bits per pixel) value must be set to 4 by hand: `-bpp 4`

The movie probably must be scaled down to fit in EGA mode:

    -vf scale=640:350

or

    -vf scale=320:200

For that we need fast but bad quality scaling routine:

    -sws 4

Maybe automatic aspect correction has to be shut off:

    -noaspect

### Note

According to my experience the best image quality on EGA screens can be achieved by decreasing the brightness a bit: `-vf eq=-20:0`. I also needed to lower the audio samplerate on my box, because the sound was broken on 44kHz: `-srate 22050`.

You can turn on OSD and subtitles only with the `expand` filter, see the man page for exact parameters.

Prev | Up | Next
4.2. DGA | Home | 4.4. Framebuffer output (FBdev)